MENU navbar-image

Introduction

Документация Solr search API платформы RS Edu / RKI.

Документация JSON-endpoint'ов поискового API RS Edu.

Формат ответа

Успешный ответ:

{
  "success": true,
  "message": "Текст сообщения",
  "data": {}
}

Ошибка:

{
  "success": false,
  "message": "Текст ошибки",
  "errors": {}
}

Экспорт

Для каждого ядра доступен GET /{resource}/export — скачивание .xlsx с теми же фильтрами, что и у поиска.

Authenticating requests

This API is not authenticated.

Общее

Количество материалов по ядрам

Возвращает total по каждому Solr-ядру. Параметр exclude исключает одно ядро из ответа.

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/total" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"exclude\": \"interactives\"
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/total"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "exclude": "interactives"
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Example response (500):

Show headers
cache-control: no-cache, private
content-type: application/json
vary: Origin
 

{
    "message": "Server Error"
}
 

Request      

GET total

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
exclude   string  optional    

Example: interactives

Must be one of:
  • books
  • worksheets
  • tests
  • interactives
  • materials
  • methodologies
  • dictionary_words

Книги

Поиск книг

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/books/get" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"category_id\": 16,
    \"categories_ids\": [
        16
    ],
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"publishers_ids\": [
        16
    ],
    \"start_year\": 16,
    \"end_year\": 16,
    \"has_audios\": false,
    \"has_videos\": true,
    \"available\": false,
    \"organization_id\": 16
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/books/get"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "category_id": 16,
    "categories_ids": [
        16
    ],
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "publishers_ids": [
        16
    ],
    "start_year": 16,
    "end_year": 16,
    "has_audios": false,
    "has_videos": true,
    "available": false,
    "organization_id": 16
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Example response (500):

Show headers
cache-control: no-cache, private
content-type: application/json
vary: Origin
 

{
    "message": "Server Error"
}
 

Request      

GET books/get

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

category_id   integer  optional    

Example: 16

categories_ids   integer[]  optional    
levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
publishers_ids   integer[]  optional    
start_year   integer  optional    

Example: 16

end_year   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: false

has_videos   boolean  optional    

Example: true

available   boolean  optional    

Example: false

organization_id   integer  optional    

Example: 16

Экспорт книг в Excel

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/books/export" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"category_id\": 16,
    \"categories_ids\": [
        16
    ],
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"publishers_ids\": [
        16
    ],
    \"start_year\": 16,
    \"end_year\": 16,
    \"has_audios\": true,
    \"has_videos\": true,
    \"available\": false,
    \"organization_id\": 16
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/books/export"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "category_id": 16,
    "categories_ids": [
        16
    ],
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "publishers_ids": [
        16
    ],
    "start_year": 16,
    "end_year": 16,
    "has_audios": true,
    "has_videos": true,
    "available": false,
    "organization_id": 16
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Request      

GET books/export

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

category_id   integer  optional    

Example: 16

categories_ids   integer[]  optional    
levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
publishers_ids   integer[]  optional    
start_year   integer  optional    

Example: 16

end_year   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: true

has_videos   boolean  optional    

Example: true

available   boolean  optional    

Example: false

organization_id   integer  optional    

Example: 16

Рабочие листы

Поиск рабочих листов

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/worksheets/get" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"category_id\": 16,
    \"categories_ids\": [
        16
    ],
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16,
    \"available\": true,
    \"organization_id\": 16,
    \"has_audios\": false,
    \"has_videos\": false,
    \"duration\": 16
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/worksheets/get"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "category_id": 16,
    "categories_ids": [
        16
    ],
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16,
    "available": true,
    "organization_id": 16,
    "has_audios": false,
    "has_videos": false,
    "duration": 16
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Example response (500):

Show headers
cache-control: no-cache, private
content-type: application/json
vary: Origin
 

{
    "message": "Server Error"
}
 

Request      

GET worksheets/get

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

category_id   integer  optional    

Example: 16

categories_ids   integer[]  optional    
levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16

available   boolean  optional    

Example: true

organization_id   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: false

has_videos   boolean  optional    

Example: false

duration   integer  optional    

Example: 16

Экспорт рабочих листов в Excel

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/worksheets/export" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"category_id\": 16,
    \"categories_ids\": [
        16
    ],
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16,
    \"available\": true,
    \"organization_id\": 16,
    \"has_audios\": false,
    \"has_videos\": true,
    \"duration\": 16
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/worksheets/export"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "category_id": 16,
    "categories_ids": [
        16
    ],
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16,
    "available": true,
    "organization_id": 16,
    "has_audios": false,
    "has_videos": true,
    "duration": 16
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Request      

GET worksheets/export

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

category_id   integer  optional    

Example: 16

categories_ids   integer[]  optional    
levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16

available   boolean  optional    

Example: true

organization_id   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: false

has_videos   boolean  optional    

Example: true

duration   integer  optional    

Example: 16

Тесты

Поиск тестов

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/tests/get" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"category_id\": 16,
    \"categories_ids\": [
        16
    ],
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16,
    \"available\": false,
    \"organization_id\": 16,
    \"has_audios\": false,
    \"has_videos\": false,
    \"duration\": 16
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/tests/get"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "category_id": 16,
    "categories_ids": [
        16
    ],
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16,
    "available": false,
    "organization_id": 16,
    "has_audios": false,
    "has_videos": false,
    "duration": 16
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Example response (500):

Show headers
cache-control: no-cache, private
content-type: application/json
vary: Origin
 

{
    "message": "Server Error"
}
 

Request      

GET tests/get

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

category_id   integer  optional    

Example: 16

categories_ids   integer[]  optional    
levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16

available   boolean  optional    

Example: false

organization_id   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: false

has_videos   boolean  optional    

Example: false

duration   integer  optional    

Example: 16

Экспорт тестов в Excel

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/tests/export" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"category_id\": 16,
    \"categories_ids\": [
        16
    ],
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16,
    \"available\": false,
    \"organization_id\": 16,
    \"has_audios\": false,
    \"has_videos\": false,
    \"duration\": 16
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/tests/export"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "category_id": 16,
    "categories_ids": [
        16
    ],
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16,
    "available": false,
    "organization_id": 16,
    "has_audios": false,
    "has_videos": false,
    "duration": 16
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Request      

GET tests/export

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

category_id   integer  optional    

Example: 16

categories_ids   integer[]  optional    
levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16

available   boolean  optional    

Example: false

organization_id   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: false

has_videos   boolean  optional    

Example: false

duration   integer  optional    

Example: 16

Интерактивы

Поиск интерактивов

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/interactives/get" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16,
    \"available\": true,
    \"organization_id\": 16,
    \"has_audios\": true,
    \"has_videos\": true
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/interactives/get"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16,
    "available": true,
    "organization_id": 16,
    "has_audios": true,
    "has_videos": true
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Example response (500):

Show headers
cache-control: no-cache, private
content-type: application/json
vary: Origin
 

{
    "message": "Server Error"
}
 

Request      

GET interactives/get

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16

available   boolean  optional    

Example: true

organization_id   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: true

has_videos   boolean  optional    

Example: true

Экспорт интерактивов в Excel

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/interactives/export" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16,
    \"available\": true,
    \"organization_id\": 16,
    \"has_audios\": true,
    \"has_videos\": false
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/interactives/export"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16,
    "available": true,
    "organization_id": 16,
    "has_audios": true,
    "has_videos": false
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Request      

GET interactives/export

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16

available   boolean  optional    

Example: true

organization_id   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: true

has_videos   boolean  optional    

Example: false

Банк материалов

Поиск материалов банка

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/materials/get" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16,
    \"available\": true,
    \"organization_id\": 16,
    \"has_audios\": false,
    \"has_videos\": false
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/materials/get"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16,
    "available": true,
    "organization_id": 16,
    "has_audios": false,
    "has_videos": false
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Example response (500):

Show headers
cache-control: no-cache, private
content-type: application/json
vary: Origin
 

{
    "message": "Server Error"
}
 

Request      

GET materials/get

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16

available   boolean  optional    

Example: true

organization_id   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: false

has_videos   boolean  optional    

Example: false

Экспорт материалов банка в Excel

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/materials/export" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16,
    \"available\": true,
    \"organization_id\": 16,
    \"has_audios\": false,
    \"has_videos\": true
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/materials/export"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16,
    "available": true,
    "organization_id": 16,
    "has_audios": false,
    "has_videos": true
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Request      

GET materials/export

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16

available   boolean  optional    

Example: true

organization_id   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: false

has_videos   boolean  optional    

Example: true

Методики

Поиск методик

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/methodologies/get" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"category_id\": 16,
    \"categories_ids\": [
        16
    ],
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16,
    \"available\": false,
    \"organization_id\": 16,
    \"has_audios\": false,
    \"has_videos\": true
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/methodologies/get"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "category_id": 16,
    "categories_ids": [
        16
    ],
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16,
    "available": false,
    "organization_id": 16,
    "has_audios": false,
    "has_videos": true
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Example response (500):

Show headers
cache-control: no-cache, private
content-type: application/json
vary: Origin
 

{
    "message": "Server Error"
}
 

Request      

GET methodologies/get

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

category_id   integer  optional    

Example: 16

categories_ids   integer[]  optional    
levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16

available   boolean  optional    

Example: false

organization_id   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: false

has_videos   boolean  optional    

Example: true

Экспорт методик в Excel

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/methodologies/export" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"category_id\": 16,
    \"categories_ids\": [
        16
    ],
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16,
    \"available\": false,
    \"organization_id\": 16,
    \"has_audios\": true,
    \"has_videos\": true
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/methodologies/export"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "category_id": 16,
    "categories_ids": [
        16
    ],
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16,
    "available": false,
    "organization_id": 16,
    "has_audios": true,
    "has_videos": true
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Request      

GET methodologies/export

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

category_id   integer  optional    

Example: 16

categories_ids   integer[]  optional    
levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16

available   boolean  optional    

Example: false

organization_id   integer  optional    

Example: 16

has_audios   boolean  optional    

Example: true

has_videos   boolean  optional    

Example: true

Лексический минимум

Поиск лексического минимума

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/dictionary_words/get" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/dictionary_words/get"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Example response (500):

Show headers
cache-control: no-cache, private
content-type: application/json
vary: Origin
 

{
    "message": "Server Error"
}
 

Request      

GET dictionary_words/get

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16

Экспорт лексического минимума в Excel

Example request:
curl --request GET \
    --get "http://rsedu-srch-v1-api.local/dictionary_words/export" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"start\": 16,
    \"limit\": 22,
    \"sort_by\": \"architecto\",
    \"levels_ids\": [
        16
    ],
    \"collections_ids\": [
        16
    ],
    \"collection_id\": 16
}"
const url = new URL(
    "http://rsedu-srch-v1-api.local/dictionary_words/export"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "start": 16,
    "limit": 22,
    "sort_by": "architecto",
    "levels_ids": [
        16
    ],
    "collections_ids": [
        16
    ],
    "collection_id": 16
};

fetch(url, {
    method: "GET",
    headers,
    body: JSON.stringify(body),
}).then(response => response.json());

Request      

GET dictionary_words/export

Headers

Content-Type        

Example: application/json

Accept        

Example: application/json

Body Parameters

search   string  optional    
search_by   object  optional    
start   integer  optional    

Example: 16

limit   integer  optional    

Must be at least 1. Must not be greater than 1000. Example: 22

fields   object  optional    
sort_by   string  optional    

Example: architecto

levels_ids   integer[]  optional    
collections_ids   integer[]  optional    
collection_id   integer  optional    

Example: 16